# OS_NS_regex.h File Reference

`#include "ace/config-all.h"`
`#include "ace/ACE_export.h"`
`#include "ace/OS_NS_regex.inl"`

Include dependency graph for OS_NS_regex.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | ACE_OS

## A set of wrappers for regular expressions.

ACE_NAMESPACE_INLINE_FUNCTION char * | compile (const char *instring, char *expbuf, char *endbuf)
ACE_NAMESPACE_INLINE_FUNCTION int | step (const char *str, char *expbuf)

## Defines

#define | ACE_EXPORT_MACRO ACE_Export
#define | ACE_INLINE inline

## Detailed Description

Id
  OS_NS_regex.h,v 1.4 2005/10/28 16:14:54 ossama Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>

  Jesper S. M|ller<stophph@diku.dk>

  and a cast of thousands...

Originally in OS.h.

## Define Documentation

#define ACE_EXPORT_MACRO ACE_Export

#define ACE_INLINE inline

## Function Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE char * ACE_OS::compile | ( | const char * | instring,
|  | char * | expbuf,
|  | char * | endbuf
| ) |

ACE_INLINE int ACE_OS::step | ( | const char * | str,
|  | char * | expbuf
| ) |